summaryrefslogtreecommitdiffstats
path: root/php-pear/php-dev/DEPENDS
blob: 436567c3e2cb70d13fcde4a352ad6ab53fc6c27d (plain) (blame)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
source $GRIMOIRE/FUNCTIONS &&

depends subversion &&

depends  flex    &&
depends  readline "--with-readline=/usr" &&

# Officially ZLib is optional, but we require it because some other
# optional extensions depend on it, and it"s omnipresent anyway.
depends  zlib  "--with-zlib --with-zlib-dir=/usr"  &&

# This is required since PHP 5
depends  libxml2  '--enable-xml --with-dom --with-xmlrpc'  &&

#This is required since PHP 6
depends icu  &&

case  "$PHP4_APACHE"  in
  handler)  depends  APACHE;;
  filter)   depends  APACHE2;;
esac  &&

if [ "$PHP5_X11LIBS" == "y" ]; then
      depends xorg-libs  &&
      depends libxpm
fi  &&

if [ "$PHP5_GD" == "external" ]; then
      depends  gd  "--with-gd=/usr --enable-gd-native-ttf" 
fi &&

optional_depends  C-CLIENT            \
                  "--with-imap"       \
                  "--without-imap"    \
                  "for IMAP support"  \
                  z-rejected          &&
                  
optional_depends  MAIL-TRANSPORT-AGENT  \
                  ""                    \
                  ""                    \
                  "for SMTP support"    &&

optional_depends  bzip2                      \
                  "--with-bz2=/usr"          \
                  "--without-bz2"            \
                  "for compression support"  &&

optional_depends  aspell                    \
                  "--with-pspell=/usr"      \
                  "--without-pspell"        \
                  "for spelling functions"  &&

optional_depends  mhash                         \
                  "--with-mhash=/usr"           \
                  "--without-mhash"             \
                  "for hash functions support"  &&

optional_depends  mcrypt                \
                  "--with-mcrypt=/usr"  \
                  "--without-mcrypt"    \
                  "for crypto library"  &&

optional_depends  libmcal                         \
                  "--with-mcal=/usr"              \
                  "--without-mcal"                \
                  "for MCAL calendaring library"  &&

optional_depends  curl                                       \
                  "--with-curl=/usr"                         \
                  "--without-curl"                           \
                  "for transferring files using URL syntax"  &&

optional_depends  gmp                                    \
                  "--with-gmp=/usr"                      \
                  "--without-gmp"                        \
                  "GNU multi precision library support"  &&

optional_depends  SSL                \
                  "--with-SSL=/usr"  \
                  "--without-SSL"    \
                  "for OpenSSL support"  &&

optional_depends  gettext                    \
                  "--with-gettext=/usr"      \
                  "--without-gettext"        \
                  "for GNU gettext support"  &&

optional_depends firebird                      \
                 '--with-pdo-firebird=/opt/firebird' \
                 '--without-pdo-firebird'          \
                 'for native Firebird support' &&

optional_depends unixodbc                       \
                 '--with-unixODBC=/usr'         \
                 '--without-unixODBC'           \
                 'for ODBC database support'    &&

optional_depends libiodbc                       \
                 '--with-iodbc=/usr'            \
                 '--without-iobc'               \
                 'for ODBC database support'    &&

optional_depends  postgresql                       \
                  "--with-pgsql=/usr"              \
                  "--without-pgsql"                \
                  "for native Postgresql support"  &&

optional_depends  MYSQL                       \
                  "--with-mysql=/usr"         \
                  "--without-mysql"           \
                  "for native MySQL support"  &&

optional_depends  gdbm                                            \
                  "--with-gdbm=/usr"                              \
                  "--without-gdbm"                                \
                  "database routines that use extensive hashing"  &&

optional_depends  sqlite                                          \
                  '--with-sqlite --enable-sqlite-utf8'            \
                  '--without-sqlite'                              \
                  'for SQLite support'                            &&

optional_depends  mm                                              \
                  "--with-mm=/usr"                                \
                  "--without-mm"                                  \
                  "for sharing memory between related processes"  &&

optional_depends  openldap            \
                  "--with-ldap=/usr"  \
                  "--without-ldap"    \
                  "for LDAP support"  &&

optional_depends  libxslt                                       \
                  "--with-dom-xslt=/usr --with-dom-exslt=/usr"  \
                  "--without-dom-xslt --without-dom-exslt"      \
                  "for DOM XSLT support"                        &&

optional_depends  t1lib                            \
                  "--with-t1lib=/usr/share/t1lib"  \
                  "--without-tlib"                 \
                  "for t1lib support"              &&

optional_depends  JPEG                                       \
                  "--with-jpeg-dir=/usr"                     \
                  "--without-jpeg-dir"                       \
                  "for JPEG support (also required for GD)"  &&

optional_depends  libpng                                    \
                  "--with-png-dir=/usr"                     \
                  "--without-png-dir"                       \
                  "for PNG support (also required for GD)"  &&

optional_depends  re2c                         \
                  ""                           \
                  ""                           \
                  "to regenerate PHP parsers"  &&

if [ "$PHP5_GD" != "none" ]; then
                  optional_depends  freetype2 \
                  "--with-freetype-dir=/usr" \
                  "--without-freetype-dir"       \
                  "for freetype2 support"
fi